% Autor:  T. Hempel nach R. Baumann
% Datum: 07.11.2006

dialog:-
  write('             Mitgliederdatei-Verwaltung'),nl,
  write('             --------------------------'),nl,nl,
  write('Sie haben folgende Mglichkeiten:'),nl,
  write('Einlesen der gesamten Datei ................... e'),nl,
  write('Inspizieren eines Datensatzes ................. i'),nl,
  write('ndern eines Datensatzes ...................... n'),nl,
  write('Lschen eines Datensatzes ..................... l'),nl,
  write('Anfgen eines Datensatzes ..................... f'),nl,
  write('Ausgabe aller Datenstze ...................... a'),nl,
  write('Speichern der Datei ........................... s'),nl,
  write('Ende .......................................... z'),nl, nl,
  write('Ihre Wahl: '),
  read(Wahl),
  Wahl\=z,
  ausgefuehrt(Wahl), !,
  dialog.
dialog.

quittiert:-
  nl, nl, write('Drcken Sie eine Taste. '),get0(_).
  
ausgefuehrt(e):-
  nl, nl,
  write('Die Datei wird eingelesen ... '), nl,
  consult('daten.pl'),
  quittiert.
ausgefuehrt(e):-
  write('Die Datei ist nicht vorhanden.'),
  quittiert.
  
ausgefuehrt(i):-
  nl, nl,
  liest(Name, Vorname),
  ausgabe(Name, Vorname).
ausgefuehrt(i):-
  write('Der Datensatz ist nicht vorhanden.'),
  quittiert.
  
ausgefuehrt(f):-
  nl,nl,
  write('Mitglied hinzufgen ...'),nl,
  erfasst(Nr, Name, Vorname, G, J),
  assertz(mitglied(Nr, Name,Vorname,G,J)),
  write('Datensatz hinzugefgt.'),nl.
  
ausgefuehrt(a):-
  nl,nl,
  listing(mitglied),
  nl,nl,
  quittiert.
  
ausgefuehrt(n):-
  nl,nl,
  write('Mitgliedsdaten ndern ...'),nl,
  liest(Name,Vorname),
  ausgabe(Name, Vorname),
  mitglied(Nr, Name, Vorname, G, J),
  retract(mitglied(Nr, Name, Vorname, G, J)),
  erfasst(Nr_neu, Name_neu, Vorname_neu,G_neu,J_neu),
  assertz(mitglied(Nr_neu, Name_neu,Vorname_neu,G_neu,J_neu)),
  write('Datensatz gendert.'),nl.
ausgefuehrt(n):-
  write('Der Datensatz ist nicht vorhanden.'),
  quittiert.
  
liest(Name, Vorname):-
  write('Familinename: '),read(Name),
  write('Vorname: '),read(Vorname).
  
erfasst(Nr, Name, Vorname, G, J):-
  liest(Name, Vorname),
  write('Mitgliedsnummer: '),read(Nr),
  write('Geschlecht (m/w): '),read(G),
  write('Beitrittsjahr: '),read(J).
  
ausgabe(Name, Vorname):-
  mitglied(Nr, Name, Vorname, G, J),
  nl,nl,
  write('Mitgliedsnummer: '),write(Nr),nl,
  write('Name: '),write(Name),nl,
  write('Vorname: '),write(Vorname),nl,
  write('Geschlecht: '),write(G),nl,
  write('Beitrittsjahr: '),write(J),nl,
  quittiert.
  
ausgefuehrt(l):-
  nl, nl,
  liest(Name, Vorname),
  retract(mitglied(_, Name, Vorname,_,_)),
  write('Der Datensatz wurde gelscht.'),
  quittiert.
ausgefuehrt(l):-
  write('Der Datensatz wurde nicht gefunden.'),
  quittiert.
  
ausgefuehrt(s):-
  nl,nl,
  write('Die Datei wird gespeichert ...'),
  tell('daten.pl'),listing(mitglied),told,
  quittiert.

